package com.streambase.fx.adminclient;

public class UICommandHelper {
    private String commandName;
    private String commandShortName;

    public UICommandHelper(String commandName, String commandShortName) {
        this.commandName = commandName;
        this.commandShortName = commandShortName;
    }

    public String getCommandName() {
        return commandName;
    }

    public String getCommandShortName() {
        return commandShortName;
    }

    @Override
    public boolean equals(Object obj) {
        if (obj == null) {
            return false;
        }
        if (obj == this) {
            return false;
        }
        if (obj instanceof UICommandHelper) {
            if (((UICommandHelper) obj).commandName.equals(commandName) && ((UICommandHelper) obj).commandShortName.equals(commandShortName)) {
                return true;
            }
        } else if (obj instanceof String) {
            if (((String) obj).equals(commandName) || ((String) obj).equals(commandShortName)) {
                return true;
            }
        }
        return false;
    }
}